all:
  deepstrom_real_gamma:
  deepstrom_real_no_kernel_param:
  deepstrom_learned_gamma:
  deepstrom_learned_no_kernel_param:

base:
  epoch_numbers: {"-e": [50]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(5)"}
  transfor: {"-B": [6]}
  dataset: ["--cifar"]

gammavalue:
  gamma: {"-g": [2.5959038894034687e-12]}

deepstrom_base:
  network: ["deepstrom"]
  base:
  nys_size: {"-m": [32, 64, 128]}

deepstrom_real:
  deepstrom_base:
  real_nys: ["-r"]

deepstrom_real_gamma:
  deepstrom_real:
  gammavalue:
  kernel: ["-R"]

deepstrom_real_no_kernel_param:
  deepstrom_real:
  kernel: ["-L"]

deepstrom_learned:
  deepstrom_base:

deepstrom_learned_gamma:
  deepstrom_learned:
  gammavalue:
  kernel: ["-R"]

deepstrom_learned_no_kernel_param:
  deepstrom_learned:
  kernel: ["-L"]
